Bug 1552576 - repolist and info use expired cache
Summary: repolist and info use expired cache
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-07 11:25 UTC by Eva Mrakova
Modified: 2018-06-28 08:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-28 08:22:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eva Mrakova 2018-03-07 11:25:04 UTC
Description of problem:
when dnf cache is marked as expired via 'dnf clean expire-cache',
'dnf repolist' and 'dnf info' still use the expired cache (without any warning).

Note:
* yum behaviour in the same situation is different, after 
  'yum clean expire-cache' yum repolist and info subcommands refresh 
  the yum cache
* 'dnf repoquery' refreshes the dnf cache when it is marked as expired 


Version-Release number of selected component (if applicable):
dnf-2.8.6-0.117g003e278b.fc26.noarch

How reproducible:
always

Steps to Reproduce:
1. create a repo
2. run 
   # dnf makecache
   # dnf repolist
3. change the repo content (e.g. remove a .rpm from it and run createrepo_c --update <repodir>)
4. run
   # dnf clean expire-cache
   # dnf repolist

(the same steps for 'dnf info <the-removed-package>') 

Actual results:
output of 'dnf repolist' is the same for steps 2. and 4.
(for step 4. it is not up-to-date)

Expected results:
expired cache is not used or at least a warning is printed

Comment 1 Jaroslav Mracek 2018-03-21 14:56:34 UTC
I created a patch that should solve the issue (https://github.com/rpm-software-management/dnf/pull/1040).

Comment 2 Eva Mrakova 2018-04-09 10:58:20 UTC
Thanks for the patch.
Now it seems that 'dnf repolist' reflects expire-cache, however,
'dnf info' still uses expired cache. Is this behaviour intended?

Comment 3 Fedora End Of Life 2018-05-03 08:20:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jaroslav Mracek 2018-05-09 07:13:34 UTC
To Comment 2, I think the behavior is intended.

Comment 5 Jaroslav Mracek 2018-06-28 08:22:46 UTC
The issue is solved by dnf-3.0.1-1 that was released into rawhide.


Note You need to log in before you can comment on or make changes to this bug.